extends layout


mixin EnumInput(id, labelName, defaultValue, items, schema)
    .option.enum
        label.optionLabel(for=`config-${id}`) #{labelName}
        .input-field
            select.config-opt(id=`config-${id}`, type="select-one", schema=`${schema}`)
                each optionName in items
                    option(value=optionName selected=(optionName === defaultValue)) #{optionName}

mixin BooleanInput(id, labelName, defaultValue, schema)
    .option.boolean
        label
            input.config-opt(id=`config-${id}` type='checkbox', schema=`${schema}`)
            span.optionLabel #{labelName}

mixin NumberInput(id, labelName, minValue, maxValue, schema)
    .option.range.z-depth-2
        label.optionLabel(for=`config-${id}`) #{labelName}
        input.config-opt(id=`config-${id}` type='number' min=minValue max=maxValue schema=`${schema}`)

mixin Team(id, name)
    .team
        .header
            span #{name}
        table.table-team(id="table-team-" + id)
            tr
                th id
                th Name

append styles
    link(rel='stylesheet', href='/stylesheets/pre_game_lobby_mobile.css' media='(max-width: 760px)')
    link(rel='stylesheet', href='/stylesheets/pre_game_lobby_desktop.css' media='(min-width: 760px)')

append scripts
    script(type="module" src="scripts/pre_game_lobby.js")


block header
    +headerTitle("Lobby")

block content
    #lobby
        .view#view-players
            button(onclick='onBtnOptionsClick()')#btn-options.viewSwitch.right
                .imgViewSwitch#imgOptions
            .viewHeader Teams
            #container-tables

        .view#view-options
            button(onclick='onBtnPlayersClick()')#btn-players.viewSwitch.left
                .imgViewSwitch#imgPlayers
            .viewHeader Options
            //- game_setup.schema.json
            //- default values will be set in js at runtime
            +EnumInput("gameMode", "Game mode", "", [
                "FreeForAll",
                "TeamDeathMatch",
                "Domination",
                "Conquest"
            ], "setup")
            +BooleanInput("friendlyFire", "Friendly Fire", false, "setup")
            +EnumInput("launchTrigger", "Launch Trigger", "", ["time", "spawnpoint"], "setup")
            +NumberInput("launchTime", "Launch Time", 1, null, "setup")
            +NumberInput("killMultiplier", "Kill Multiplier", 0, null, "setup")
            +NumberInput("assistMultiplier", "Assist Multiplier", 0, null, "setup")
            +NumberInput("modePoints", "Mode Points", 0, null, "setup")
            +BooleanInput("localRespawn", "Local Respawn", false, "setup")
            +NumberInput("respawnOffset", "Respawn Offset", 0, null, "setup")
            +EnumInput("weapon", "Weapon", "", [
                "default",
                "auto",
                "instant",
                "lowDamage",
                "test"
            ], "setup")
            +NumberInput("respawnDelay", "Respawn Delay", 0, null, "setup")

            //- game_config.schema.json
            +EnumInput("stopTrigger", "Stop Trigger", "", [
                "time",
                "score",
                "manual"
            ], "config")
            +NumberInput("scoreLimit", "Score Limit", 1, null, "config")
            +NumberInput("timeLimit", "Time Limit", 1, null, "config")
            +BooleanInput("muteOnDeath", "Mute on Death", true, "config")



        button.enabled(onclick="onBtnNextStateClick()", state="setup")#btn-next-state
            #img-next-state.btnImg
